io.undertow.client.http

## Class HttpClientProvider

- java.lang.Object
- - io.undertow.client.http.HttpClientProvider

All Implemented Interfaces:
  ClientProvider

    public class HttpClientProvider
    extends Object
    implements ClientProvider

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`HttpClientProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `connect(ClientCallback<ClientConnection> listener, InetSocketAddress bindAddress, URI uri, org.xnio.XnioIoThread ioThread, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, InetSocketAddress bindAddress, URI uri, org.xnio.XnioWorker worker, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, URI uri, org.xnio.XnioIoThread ioThread, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`void` `connect(ClientCallback<ClientConnection> listener, URI uri, org.xnio.XnioWorker worker, org.xnio.ssl.XnioSsl ssl, ByteBufferPool bufferPool, org.xnio.OptionMap options)`
`Set<String>` `handlesSchemes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpClientProvider

    public HttpClientProvider()

### Method Detail

#### handlesSchemes

    public Set<String> handlesSchemes()

Specified by:
  `handlesSchemes` in interface `ClientProvider`

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        URI uri,
                        org.xnio.XnioWorker worker,
                        org.xnio.ssl.XnioSsl ssl,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

Specified by:
  `connect` in interface `ClientProvider`

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        URI uri,
                        org.xnio.XnioIoThread ioThread,
                        org.xnio.ssl.XnioSsl ssl,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

Specified by:
  `connect` in interface `ClientProvider`

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        InetSocketAddress bindAddress,
                        URI uri,
                        org.xnio.XnioWorker worker,
                        org.xnio.ssl.XnioSsl ssl,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

Specified by:
  `connect` in interface `ClientProvider`

#### connect

    public void connect(ClientCallback<ClientConnection> listener,
                        InetSocketAddress bindAddress,
                        URI uri,
                        org.xnio.XnioIoThread ioThread,
                        org.xnio.ssl.XnioSsl ssl,
                        ByteBufferPool bufferPool,
                        org.xnio.OptionMap options)

Specified by:
  `connect` in interface `ClientProvider`